import React from 'react';
import {observer, inject} from 'mobx-react';
import bind from 'bind-decorator';
import {
  Card,
  CardActions,
  CardHeader,
  CardMedia,
  CardTitle,
  AutoComplete,
  CardText,
  FlatButton,
  Divider,
  RaisedButton,
  Toolbar,
  DatePicker,
  FontIcon,
  SelectField,
  MenuItem,
  ToolbarGroup,
  FloatingActionButton,
  ToolbarSeparator,
  IconButton,
  ToolbarTitle,
  RadioButton, RadioButtonGroup, DropDownMenu,
  Tabs, Tab,
} from 'material-ui';
import {withRouter} from 'react-router';
import {BrowserRouter as Router, Route} from 'react-router-dom';
import StarBorder from 'material-ui/svg-icons/toggle/star-border';
import ContentAdd from 'material-ui/svg-icons/content/add';
import SnackbarMessage from '../SnackbarMessage';
import '../style.scss';
import {appConfig} from "../../../config/app";
import CheckSchedule from "./CheckSchedule";
import ListHotel from "./ListHotel";
import RoomHotel from './RoomHotel';
import FormBook from './FormBook';
import Confirmation from './Confirmation';

@inject('appstate')
@observer
export default class Hotel extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {
      value: 0,
      openSnackbar: false
    };
    this.defaultState = Object.assign({}, this.state);
    this.http = props.appstate.http;
    this.authStore = props.appstate.auth;
  }

  componentDidMount() {
    console.log('Profile loaded!');

  }

  handleClickFind = () => {
    this.setState({
      value: 1
    })
  }

  handleClickBack = () => {
    this.setState({
      value: 0
    })
  }

  handleClickChoose = () => {
    this.setState({
      value: 2
    })
  }

  handleClickBackRoom = () => {
    this.setState({
      value: 1
    })
  }

  handleClickBook = () => {
    this.setState({
      value: 3
    })
  }

  handleClickBackBook = () => {
    this.setState({
      value: 2
    })
  }

  handleClickConfirm = () => {
    this.setState({
      value: 4
    })
  }

  handleClickBackConfirm = () => {
    this.setState({
      value: 3
    })
  }

  handleBookNow = () => {
    this.setState({
      value: 0,
      openSnackbar: true,
    })
  };

  handleCloseSnackbar = () => {
    this.setState({
      openSnackbar: false
    })
  };

  render() {

    return (
      <div className="row">
        <div className="col s12">
          {(this.state.value == 0) ? <CheckSchedule onClickFind={this.handleClickFind}/> : ''}
          {(this.state.value == 1) ?
            <ListHotel onClickBack={this.handleClickBack} onChoose={this.handleClickChoose}/> : ''}
          {(this.state.value == 2) ?
            <RoomHotel onClickBack={this.handleClickBackRoom} onBook={this.handleClickBook}/> : ''}
          {(this.state.value == 3) ?
            <FormBook onClickBack={this.handleClickBackBook} onConfirm={this.handleClickConfirm}/> : ''}
          {(this.state.value == 4) ?
            <Confirmation onClickBack={this.handleClickBackConfirm} onClickBookNow={this.handleBookNow}/> : ''}
          <SnackbarMessage message='Booking Succeed' open={this.state.openSnackbar}
                           closeSnackbar={this.handleCloseSnackbar}/>
        </div>
      </div>
    )
  }
}
